## SYNOPSIS

           msgattrib [OPTION] [INPUTFILE]

## DESCRIPTION

           Filters the messages of a translation catalog according to
           their attributes, and manipulates the attributes.

           Mandatory  arguments  to  long  options  are mandatory for
           short options too.

       Input file location:
           INPUTFILE
                  input PO file

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           If no input file is given or if it is -, standard input is
           read.

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           The  results  are  written to standard output if no output
           file is specified or if it is -.

       Message selection:
           --translated
                  keep translated, remove untranslated messages

           --untranslated
                  keep untranslated, remove translated messages

           --no-fuzzy
                  remove 'fuzzy' marked messages

           --only-fuzzy
                  keep 'fuzzy' marked messages

           --no-obsolete
                  remove obsolete #~ messages

           --only-obsolete
                  keep obsolete #~ messages

       Attribute manipulation:
           --set-fuzzy
                  set all messages 'fuzzy'

           --clear-fuzzy

       Output details:
           -e, --no-escape
                  do not use C escapes in output (default)

           -E, --escape
                  use C escapes in output, no extended chars

           --force-po
                  write PO file even if empty

           -i, --indent
                  write the .po file using indented style

           --no-location
                  do not write '#: filename:line' lines

           -n, --add-location
                  generate '#: filename:line' lines (default)

           --strict
                  write out strict Uniforum conforming .po file

           -w, --width=NUMBER
                  set output page width

           --no-wrap
                  do not break long message lines,  longer  than  the
                  output page width, into several lines

           -s, --sort-output
                  generate sorted output

           -F, --sort-by-file
                  sort output by file location

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version
                  output version information and exit

## AUTHOR

           Written by Bruno Haible.

## REPORTING BUGS

           Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

           Copyright © 2001-2002 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY